<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="css/style.css" />
    <link rel="stylesheet" href="css/header.css" />
    <link rel="stylesheet" href="css/search.css" />
    <link rel="stylesheet" href="css/filter.css" />
    <link rel="stylesheet" href="css/card.css" />
    <link rel="stylesheet" href="css/portals.css" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
      integrity="sha512-iBBXm8fW90+nuLcSKlbmrPcLa0OT92xO1BIsZ+ywDWZCvqsWgccV3gFoRBv0z+8dLJgyAHIhR35VZc2oM/gI1w=="
      crossorigin="anonymous"
    />
    <title>Guitars</title>
  </head>
  <body>
    <header>
      <div class="logo-container">
        <div id="logo"><a href="index.html">Guitar Shop</a></div>
      </div>
    </header>

    <div class="search-container">
      <div class="search-box">
        <input
          type="text"
          placeholder="Search guitars..."
          id="search-input"
        /><i class="fas fa-search search-btn"></i>
      </div>
    </div>

    <section class="filter-section">
      <input type="checkbox" />
      <i class="fas fa-plus" id="open-filters-btn"></i>
      <div class="filter-container">
        <div class="brand-filter-container">
          <div class="filter">Gibson</div>
          <div class="filter">Fender</div>
          <div class="filter">Martin</div>
          <div class="filter">Seagull</div>
          <div class="filter">Yamaha</div>
          <div class="filter">Taylor</div>
          <div class="filter">Ibanez</div>
          <div class="filter">Epiphone</div>
        </div>
        <div class="price-filter-container">
          <div class="filter" id="500">Under $500</div>
          <div class="filter" id="1000">$500 - $1000</div>
          <div class="filter" id="1500">$1000 - $1500</div>
          <div class="filter" id="2000">$1500 - $2000</div>
          <div class="filter" id="over">Over $2000</div>
        </div>
        <div class="condition-filter-container">
          <div class="filter">New</div>
          <div class="filter">Used</div>
        </div>
      </div>
    </section>

    <p id="search-result-number"></p>

    <section class="product-section">
      <div class="card-container"></div>
    </section>

    <div class="overlay" id="cart-items-overlay"></div>

    <div class="overlay" id="add-to-cart-overlay"></div>

    <div class="overlay" id="sign-in-overlay">
      <div class="sign-in-portal">
        <form class="form-container">
          <div class="input-container">
            <input type="email" autocomplete="off" />
            <div class="underline"></div>
            <div class="placeholder" id="email-placeholder">Email</div>
            <p class="input-error-msg"></p>
          </div>
          <div class="input-container">
            <input type="password" autocomplete="off" />
            <div class="underline"></div>
            <div class="placeholder" id="password-placeholder">Password</div>
            <p class="input-error-msg"></p>
          </div>
          <div id="sign-in-btn">Sign In</div>
        </form>
        <div class="sign-in-logo"><h2>Guitar Shop</h2></div>
        <div class="portal-exit" id="sign-in-portal-exit">
          <i class="fas fa-times"></i>
        </div>
      </div>
    </div>

    <div class="overlay" id="sign-up-overlay">
      <div class="sign-up-portal">
        <form class="form-container">
          <div class="input-container">
            <input type="email" autocomplete="off" />
            <div class="underline"></div>
            <div class="placeholder" id="email-placeholder-sign-up">Email</div>
            <p class="input-error-msg"></p>
          </div>
          <div class="input-container">
            <input type="password" autocomplete="off" />
            <div class="underline"></div>
            <div class="placeholder" id="password-placeholder-sign-up">
              Password
            </div>
            <p class="input-error-msg"></p>
          </div>
          <div class="input-container">
            <input type="password" autocomplete="off" />
            <div class="underline"></div>
            <div class="placeholder" id="confirm-placeholder">
              Confirm Password
            </div>
            <p class="input-error-msg"></p>
          </div>
          <div id="sign-up-btn">Sign Up</div>
        </form>
        <div class="sign-up-logo"><h2>Guitar Shop</h2></div>
        <div class="portal-exit" id="sign-up-portal-exit">
          <i class="fas fa-times"></i>
        </div>
      </div>
    </div>
    <script src="js/utils.js"></script>
    <script src="js/components.js"></script>
    <script src="js/forms.js"></script>
    <script src="js/shop/init.js"></script>
  </body>
</html>
